import java.util.Arrays;

public class GeoShape {
    private String type;
    private double[] coordinates;

    public GeoShape(String type, double[] coordinates) {
        this.type = type;
        this.coordinates = coordinates;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public double[] getCoordinates() {
        return coordinates;
    }

    public void setCoordinates(double[] coordinates) {
        this.coordinates = coordinates;
    }

    @Override
    public String toString() {
        return "GeoShape of type: " + type + " and coordinates: " + Arrays.toString(coordinates);
    }
}
